Bug 203644 - missing requires for -devel and .so not in -devel
missing requires for -devel and .so not in -devel
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-22 16:17 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-30 06:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-22 16:17:31 EDT
Description of problem:

libxfce4panel.so should be in -devel.

the headers in xfce4-panel-devel requires libxfce4util/libxfce4util.h
(in xfce-panel-enum-types.h for example), there should be a 
Requires: libxfce4util-devel
and xfce4-panel-devel shouldn't own /usr/include/xfce4, as reported
in another bug, it should be owned by libxfce4util-devel and other 
xfce*devel package that don't depend on libxfce4util-devel

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Kevin Fenzi 2006-08-24 22:53:13 EDT
> libxfce4panel.so should be in -devel.

Correct, although this only seems to affect the beta packages. Will push out a 
fixed package here soon. 

The other items apply to both the beta and the fc5/devel packages. 
Will fix those and push out a new fc5/devel package early next week for the 
mass rebuild that fixes this issue. 

Thanks for the bug report!
Comment 2 Patrice Dumas 2006-08-30 06:34:59 EDT
Closing this bug since it is fixed, and closing NEXTRELEASE since it
is in a package which isn't allready included in fedora. 

Note You need to log in before you can comment on or make changes to this bug.